Loading...
Searching...
No Matches
assert.h File Reference

Low-level assert implementation. More...

`#include <l4/sys/compiler.h>`
`#include <l4/sys/thread.h>`
`#include <l4/sys/vcon.h>`
Include dependency graph for assert.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | l4_assert(expr)
| Low-level assert.

## Detailed Description

Low-level assert implementation.

Definition in file assert.h.

## Macro Definition Documentation

## l4_assert

#define l4_assert | ( |  | expr | ) |

Value:
l4_assert_fn(!!(expr), __FILE__ ":" L4_stringify(__LINE__) ": Assertion \"" \
L4_stringify(expr) "\" failed.\n")
L4_stringify
#define L4_stringify(x)
stringify.
Definition compiler.h:301

Low-level assert.

Parameters

  expr | Expression to be evaluate for the assertion.

This assertion is a low-level implementation that directly uses kernel primitives. Only use l4_assert() when the standard assert() functionality is not available.

Definition at line 32 of file assert.h.

Referenced by L4Re::Util::Cap_alloc_base::free(), L4Re::Util::Counting_cap_alloc< COUNTERTYPE, Dbg >::free(), L4Re::Util::Counting_cap_alloc< COUNTERTYPE, Dbg >::release(), and L4Re::Util::Br_manager::set_rcv_cap_flags().